import agreement from "@/language/json/agreement.json";
export default {
    lan: 'LAN口',//LAN口
    wan: 'WAN口',//WAN口
    required: '必选',//必选
    open: '开启',//开启
    close: '关闭',//关闭
    valid: '有效',
    Please: '请输入',
    select: '请选择',
    gateway: '网关',
    // 保存和取消
    save: '保存',
    cancel: '取消',
    confirm: '确定',
    addChannel: '新增通道',//新增通道
    addDevice: '新建设备',//新建设备
    del: '删除',//删除
    edit: '编辑',//编辑
    put: '收起',
    success:'保存成功',
    fail:'保存失败',
    // DB/斥候-ip配置有线网关
    wiredgatewayip: {
        title: 'IP设置',
        prompt: '注意:本页面涉及排错，请检查修改默认值',
        port: '网口',
        SubnetMask: '子网掩码',
        IP: 'IP地址',
        gateway: '默认网关',//默认网关
        DNS1: '首选DNS',
        DNS2: '备选DNS',
        MAC: 'MAC地址',//MAC地址
        copy: '复制',//拷贝
        networkType: '网络类型',//网络类型
        gateWay: '网关:',//网关
        staticIP: '静态IP',//静态IP
        // 校验
        rules: {
            ippz_wllx: '请输入网络类型',//请输入网络类型
            ippz_ip: '请输入IP地址',//请输入IP地址
            ippz_ip1: '请输入有效的IP地址',
            ippz_zwym: '请输入子网掩码',//请输入子网掩码
            ippz_zwym1: '请输入有效的子网掩码',
            ippz_dns_by: '请输入备用的DNS服务器地址',//请输入备用的DNS服务器地址
            ippz_dns_by1: '请输入有效的备用的DNS服务器地址'
        }
    },
    //DB/斥候-ip配置无线网关
    wirelessgatewayip: {
        title: 'IP设置',//标题
        prompt: '注意:本页面涉及排错，请检查修改默认值',//提示
        SSID: 'SSID:', //SSID
        password: '密码:',//密码
        SubnetMask: '子网掩码:',//子网掩码
        IP: 'IP地址:',//ip地址
        gateway: '默认网关:',//默认网关
        DNS1: '首选DNS:',//首选dns
        DNS2: '备选DNS:',//备选dns
        MAC: 'MAC地址:',//MAC地址
        copy: '复制',//拷贝
        method: '方式',//方式
        Wired: '有线',//有线
        WIFI: 'WiFi',//无线
        encryptionMethod: '加密方式:',//加密方式
        certificationMethod: '认证方式:',//认证方式-
        clientSSID: '客户端SSID:',//客户端SSID
        rules: {
            ippz_zwym: '请输入子网掩码', //请输入子网掩码
            ippz_zwym1: '请输入有效子网掩码',//请输入有效子网掩码
            ippz_ip: '请输入IP地址',//请输入IP地址
            ippz_ip1: '请输入有效IP地址',//请输入有效IP地址
            ippz_mrwg: '请输入的网关地址',//请输入的网关地址
            ippz_mrwg1: '请输入有效的网关地址',//请输入有效的网关地址
            ippz_dns_sx: '请输入的主DNS服务器地址',//请输入的主DNS服务器地址
            ippz_dns_sx1: '请输入有效的主DNS服务器地址',//请输入有效的主DNS服务器地址
            ippz_dns_by: '请输入备用的服务器地址',//请输入备用的服务器地址
            ippz_dns_by1: '请输入有效的备用的服务器地址',
            ippz_mac: "请输入mac地址",//请输入mac地址
            ippz_wifi_ssid: "请输入SSID", //请输入SSID
            ippz_wifi_mm: "请输入密码",//请输入密码
        }
    },
    //DB/斥候-有线无线网关配置
    dbcollectiongate: {
        title: '新建网关',
        name: '网关名称:',
        ID: '网关ID:',
        type: '网关类型:',
        //请确认选择的网关类型与网关实体一致:否则该工程无法下载至实体网关
        dialogContent: '请确认选择的网关类型与网关实体一致:否则该工程无法下载至实体网关',//弹窗提示信息
        dialogTitle: '系统提示',//系统提示
        options1: [
            {
                value: "有线区网关1",
                label: "有线区网关1",
            },
            {
                value: "无线区网关1",
                label: "无线区网关1",
            },
        ],
        // 斥候有线工业网关-数据采集配置-网关配置
        options2: [
            {
                value: "有线区网关2", //有线区网关
                label: "有线区网关2",
            },
            {
                value: "无线区网关2", //无线区网关
                label: "无线区网关2",
            },
        ],
        options3: [
            {
                value: "loT Lite网关",
                label: "loT Lite网关",
            },
            {
                value: "MODBUS网关",
                label: "MODBUS网关",
            },
            {
                value: "BACNET网关",
                label: "BACNET网关",
            },
            {
                value: "OPC UA网关",
                label: "OPC UA网关",
            },
            {
                value: "OPC DA网关",
                label: "OPC DA网关",
            },
            {
                value: "loT网关",
                label: "loT网关",
            },
        ],
        // 校验
        rules: {
            wgpz_wgmc: '请选择网关名称',//请选择网关名称
            wgpz_wgid: '请选择网关ID',//请选择网关ID
            wgpz_wglx: '请选择网关类型',//请选择网关类型
        },
    },
    // DB-通道配置
    channelconfig: {
        title: '通道参数设置',//通道参数设置
        name: '通道名称:',//通道名称
        channel: '通道:',//通道
        driverName: '驱动名称:',//驱动名称
        IP: 'IP地址:',//IP地址
        port: '端口号:',//端口号
        overTime: '超过时间(ms):',//超过时间
        intervalTime: '间隔时间(ms):',//间隔时间
        pollTime: '轮询时间(ms):', //轮询时间
        retryCount: '重复次数:', //重复次数
        title1: '高级参数',//高级参数
        check: '采集使用连续地址',//采集使用连续地址
        reading: '读写占空比',//读写占空比
        agreement: agreement.en,
        agreementName: '协议选择',
        serialPort: '串口号:',//串口号
        baudRate: '波特率:',//     波特率
        dataBits: '数据位:',//     数据位
        stopBit: '停止位:',//     停止位
        parityCheck: '奇偶校验:',//     奇偶校验
        options: [
            {
                value: "网口",
                label: "网口",
            },
            {
                value: "串口",
                label: "串口",
            },
        ],
        options1: [
            {
                value: "有线区Channel1", //有线区通道
                label: "有线区Channel1",
            },
            {
                value: "无线区Channel1", //无线区通道
                label: "无线区Channel1",
            },
        ],
        rules: {
            tdpz_tdmc: '请输入通道名称',//请输入通道名称
            tdpz_td: '请输入通道',//请输入通道
            tdpz_qdmc: '请输入驱动名称',//请输入驱动名称
            tdpz_ip: '请输入IP地址',//请输入IP地址
            ip2: '请输入有效的IP地址',//请输入有效的IP地址
            tdpz_port: '请输入端口号',//请输入端口号
            tdpz_cssj: '请输入超出时间',//请输入超出时间
            tdpz_jgsj: '请输入间隔时间',//请输入间隔时间
            tdpz_lxsj: '请输入轮询时间',//请输入轮询时间
            tdpz_cfcs: '请输入重复次数',//请输入重复次数
            tdpz_chuankou: '',
            tdpz_btl: '',
            tdpz_tzw: '',
            tdpz_sjw: '',
            tdpz_jojy: '',
        }
    },
    // DB-设备属性配置
    configuration: {
        deviceProperties: '设备属性',//设备属性
        deviceID: '设备ID:',//设备ID
        deviceName: '设备名称:',//设备名称
        MACAddress: 'MAC地址:',//MAC地址
        deviceAddress: '设备地址:',//设备地址
        disableDevice: '禁用地址',//禁用地址
        addressSelection: '基地址选择',//基地址选择
        options1: [
            {
                value: "有线区加工设备1",//有线区加工设备1
                label: "有线区加工设备1",
            },
            {
                value: "无线区加工设备1",//无线区加工设备1
                label: "无线区加工设备1",
            },
        ],
        options2: [
            {
                value: "有线区精雕1",//有线区精雕1
                label: "有线区精雕1",
            },
            {
                value: "无线区精雕1",//无线区精雕1
                label: "无线区精雕1",
            },
        ],

        // 校验
        rules: {
            sbpz_sbid: '请输入设备ID',//请输入设备ID
            sbpz_sbmc: '请输入设备名称',//请输入设备名称
            sbpz_mac: '请输入MAC地址',//请输入设备地址
            sbpz_sbdz: '请输入设备地址'
        }
    },
    // DB-数据采集
    dbcollect: {
        TagID: 'TagID',//TagID
        name: '名称',//名称
        dataArea: '数据区',//数据区
        registerAddress: '寄存地址(十进制)',//寄存地址(十进制)
        type: '采集数据类型',//采集数据类型
        byteOrder: '字节序',//字节序
        readWrite: '读写属性',//读写属性
        Multiplier: '倍率',//倍率
        uploadMode: '上传模式',//上传模式
        options7: [
            {
                value: "读写",//读写
                label: "读写",
            },
            {
                value: "只读",//只读
                label: "只读",
            },
            {
                value: "只写",//只写
                label: "只写",
            },
        ],
        options2: [
            {
                value: "急停状态",
                label: "急停状态",
            },
            {
                value: "产量",
                label: "产量",
            },
            {
                value: "相对位置X",
                label: "相对位置X",
            },
            {
                value: "相对位置Y",
                label: "相对位置Y",
            },
            {
                value: "相对位置Z",
                label: "相对位置Z",
            },
            {
                value: "实际位置X",
                label: "实际位置X",
            },
            {
                value: "实际位置Y",
                label: "实际位置Y",
            },
            {
                value: "实际位置Z",
                label: "实际位置Z",
            },
            {
                value: "主轴转速",
                label: "主轴转速",
            },
            {
                value: "当前刀具",
                label: "当前刀具",
            },
            {
                value: "预选刀具",
                label: "预选刀具",
            },
            {
                value: "报警信息",
                label: "报警信息",
            },
            {
                value: "驱动单元电流",
                label: "驱动单元电流",
            },
            {
                value: "负载电流",
                label: "负载电流",
            },
            {
                value: "额定电流",
                label: "额定电流",
            },
            {
                value: "运行时间",
                label: "运行时间",
            },
            {
                value: "加工产品用时",
                label: "加工产品用时",
            },
            {
                value: "工作模式",
                label: "工作模式",
            },
            {
                value: "切削速度",
                label: "切削速度",
            },
            {
                value: "任务信息",
                label: "任务信息",
            },
            {
                value: "使能状态",
                label: "使能状态",
            },
            {
                value: "系统状态",
                label: "系统状态",
            },
            {
                value: "执行任务信息",
                label: "执行任务信息",
            },
            // {
            //     value: "进给倍军",
            //     label: "进给倍军",
            // },
            {
                value: "轴速度",
                label: "轴速度",
            },
            {
                value: "轴角度",
                label: "轴角度",
            },
            {
                value: "进给速度",
                label: "进给速度",
            },
        ],
        options5: [
            {
                value: " BIT（位0/1）",
                label: " BIT（位0/1）",
            },
            {
                value: "WORD（16位无符号整数）",
                label: "WORD（16位无符号整数）",
            },
            {
                value: "INT（16位有符号整数）",
                label: "INT（16位有符号整数）",
            },
            {
                value: "DWORD（32位无符号整数）",
                label: "DWORD（32位无符号整数）",
            },
            {
                value: "DINT（32位有符号整数）",
                label: "DINT（32位有符号整数）",
            },
            {
                value: "FLOAT（单精度浮点数）",
                label: "FLOAT（单精度浮点数）",
            },
            {
                value: "DOUBLE（64位浮点数）",
                label: "DOUBLE（64位浮点数）",
            },
            {
                value: "STRING（8位字符串）",
                label: "STRING（8位字符串）",
            },
            {
                value: "BCD16（16位BCD码）",
                label: "BCD16（16位BCD码）",
            },
            {
                value: "ULONG（64位无符号整数）",
                label: "ULONG（64位无符号整数）",
            },
            {
                value: "LONG（64位有符号整数）",
                label: "LONG（64位有符号整数）",
            },
        ],
    },
    //DB-mqtt数据采集点
    mqttClient: {
        enable: '启动',//启动
        serverIp: '服务器IP:',//服务器IP
        port: '端口号:',//端口号
        gatewaySN: '网关SN号:',//网关sn号
        realTimePublish: '实时数据发布的主题',//实时数据发布的主题
        uploadMode: '上传模式:',//上传模式
        uploadCycle: '上传周期(s):',//上传周期
        dataFilter: '数据过滤:',//数据过滤
        oneCheck: '值改变',//值改变
        twoCheck: '采集成功',//采集成功
        threeCheck: '时间戳改变',//时间戳改变
        deviceName: '设备名称',//设备名称
        rules: {
            mqtt_port: "请输入端口",//请输入端口
            mqtt_wgsn: "请输入网关ID",//请输入网关ID
            mqtt_sssjfbzt: "请输入主题",//请输入主题
            mqtt_scms: "请输入上传模式",//请输入上传模式
            mqtt_sczq: "请输入上传周期",//请输入上传周期
            mqtt_sjgl: "请输入数据过滤",//请输入数据过滤
            ip1: '请输入IP地址',//请输入IP地址
            ip2: '请输入有效的IP地址',//请输入有效的IP地址
        },
        options2: [
            {
                value: "周期上传",
                label: "周期上传",
            },
            {
                value: "整点上传",
                label: "整点上传",
            },
        ],
    },
    //   斥候设备配置
    reconnoitreConfiguration: {
        edit: '编辑设备',//编辑设备
        title: '新建设备',//新建设备
        name: '设备名称:',//设备名称
        controllerProtocol: '控制器协议:',//控制器协议
        IPAddress: 'IP地址:',//IP地址
        portNumber: '端口号:',//端口号
        slaveAddress: '从站地址:',//从站地址
        pollTime: '轮询周期(s):',//轮询周期(s)
        params: '高级参数',//高级参数
        millisecond: '启用毫秒采集:',//启用毫秒采集
        batch: '启用批量采集:',//启用批量采集
        maxBatch: '最大批量采集数:',//最大批量采集数
        onChangData: '周期上报OnChange数据:',//周期上报OnChange数据
        overTime: '采集超过时间(ms):',//采集超过时间(ms)
        intervalTime: '通讯时间间隔(ms):',//通讯时间间隔(ms)
        writeFunction1: '线圈寄存器写入功能码:',//线圈寄存器写入功能码
        writeFunction2: '保持寄存器写入功能码:',//保持寄存器写入功能码
        // 校验提示码
        rules: {
            sbpz_sbmc: "请输入通道名称",//请输入通道名称
            sbpz_kzqxy: "请输入控制协议",//请输入控制协议
            sbpz_ip: '请输入IP地址',//请输入IP地址
            sbpz_ip1: '请输入有效IP地址',//请输入IP地址
            sbpz_czdz: "请输入从站地址",//请输入从站地址
            sbpz_port: "请输入端口号",//请输入端口号
            sbpz_lxzq: "请输入轮询时间",//请输入轮询时间
            sbpz_qyhmcj: "启用毫秒采集",//启用毫秒采集
            sbpz_qyplcj: "启用批量采集",//启用批量采集
            sbpz_zdplcjs: "请输入最大批量采集数",//请输入最大批量采集数
            sbpz_cjcgsj: "请输入采集超过时间",//请输入采集超过时间
            sbpz_zqsbonchange: "周期上报Onchange数据",//周期上报Onchange数据
            sbpz_txsjjg: "请输入通讯时间间隔",//请输入通讯时间间隔
        },
        options1: [
            {
                value: "有线区精雕2",
                label: "有线区精雕2",
            },
            {
                value: "无线区精雕2",
                label: "无线区精雕2",
            },
        ],
    },
    //  斥候网关mqtt
    chmqtt: {
        title: '标准mqtt:',//标准mqtt
        enable: '启用:',//启用
        serveIp: '服务器IP:',//服务器ip
        GatewaySN: '网关SN:',//网关SN
        port: '端口:',//网口
        realTimePublish: '实施数据发布主题:',//实施数据发布主题
        deviceName: '设备名称',//设备名称
        release: '信息发布',//信息发布
        rules: {
            mqtt_ip: '请输入IP地址',//请输入IP地址
            mqtt_ip1: '请输入有效IP地址',//请输入有效IP地址
            mqtt_wgsn: "请输入网关SN",//请输入网关SN
            mqtt_port: "请输入端口",//请输入端口
            mqtt_keepalive: "请输入KeepAlive",//请输入KeepAlive
            mqtt_publishing: "请输入主题",//请输入主题
            // mqtt_qos:"Please enter Gateway SN number",//请输入上传周期
        }
    },
    // 串口ip配置
    ckipconfig: {
        title: 'IP配置',//IP配置
        prompt: '本页面涉及排错，请检查修改默认值',
        ipMethod: 'IP获取方式:',//IP获取方式
        getDNS: 'DNS获取方式:',//DNS获取方式
        localIP: '本地地址:',//本地地址
        mask: '子网掩码:',//子网掩码
        gateway: '网关地址:',//网关地址
        primaryDNS: '主DNS服务器:',//主DNS服务器
        backupDNS: '备用DNS服务器:',//备用DNS服务器
        auto: '自动获取',//自动获取
        manual: '手动设定',//手动设定
        rules: {
            ipMethod: '请选择IP获取方式',//请选择IP获取方式
            getDNS: '请选择DNS获取方式',//请选择DNS获取方式
            localIP: '请输入本地地址',//请输入本地地址
            localIP1: '请输入有效本地地址',
            mask: '请输入子网掩码',//请输入子网掩码
            mask1: '请输入有效子网掩码',
            gateway: '请输入网关地址',//请输入网关地址
            gateway1: '请输入有效网关地址',
            primaryDNS: '请输入主DNS服务器',//请输入主DNS服务器
            primaryDNS1: '请输入有效主DNS服务器',
            backupDNS: '请输入备用DNS服务器',//请输入备用DNS服务器
            backupDNS1: '请输入有效备用DNS服务器'
        }
    },
    //     串口端口配置
    ckportconfig: {
        title: '端口配置',//端口配置
        baudRate: '波特率(bps):',//波特率(bps)
        dataBits: '数据位(bit):',//数据位(bit)
        checkBit: '校验位:',//校验位
        stopBit: '停止位:',//停止位
        controlMode: '流控模式:',//流控模式
        packagingLength: '打包长度(bytes):',//打包长度
        packagingTime: '打包时长(ms):',//打包时长
        synBaudRate: '同步波特率(RF2217):',//同步波特率
        checked: '使能串口心跳包',//使能串口心跳包
        enable: '启用',
        rules: {
            dkpz_btl: "请选择波特率",
            dkpz_sjw: "请选择数据位",
            dkpz_tzw: "请选择停止位",
            dkpz_jyw: "请选择检验位",
            dkpz_lkms: "请选择流控模式",
            dkpz_dbcd: "请输入打包长度",
            dkpz_dbsj: "请输入打包时间",
            dkpz_tbbtl: "请选择同步波特率",//请选择同步波特率
        },
        datas: [
            {
                name: "端口",
                children: [
                    {
                        name: "端口1",
                    },
                    {
                        name: "端口2",
                    },
                    {
                        name: "端口3",
                    },
                    {
                        name: "端口4",
                    },
                    {
                        name: "网页转串口",
                    },
                ],
            },
        ],
        checkBitList: [
            {
                label: '无校验(None)',
                value: '无校验(None)'
            },
            {
                label: '奇校验',
                value: '奇校验'
            },
            {
                label: '偶校验',
                value: '偶校验'
            }
        ]
    },
    //485towifi-串口及网络协议设置
    toWifi: {
        title: '串口及网络协议设置',//串口及网络协议设置
        parameter: '串口参数设置',//串口参数设置
        baudRate: '波特率(bps):',//波特率(bps):
        dataBit: '数据位(bit):',//数据位(bit):
        checkBit: '检验位:',//检验位:
        stopBit: '停止位:',//停止位
        controlMode: '流控:',//流控:
        function: '485功能:',//485功能:
        adaptiveBaudRate: '自适应波特率(类RFC2117):',//自适应波特率(类RFC2117)
        other: '其他设置',//其他设置
        portAuto: '串口自动成频:',//串口自动成频:
        packageType: '注册包类型',//注册包类型
        customPacket: '自定义心跳包',//自定义心跳包
        socketFunction: '套接字分发功能',//套接字分发功能
        Note: '注意：开启后，模块主动向服务器发送注册包，此功能用于辨识设备。模块建立时发送注册包，每次发送数据时发送注册包',
        checkBitList: [
            {
                label: '无校验(None)',
                value: '无校验(None)'
            },
            {
                label: '奇校验',
                value: '奇校验'
            },
            {
                label: '偶校验',
                value: '偶校验'
            }
        ],
        hardware: '硬件控流'
    },
    // 串口服务器-485towifi-网口配置
    cknet: {
        title: '网口设置',//网口设置
        Ethernet: '以太网功能',//以太网功能
        openNetworkPort: '开启网口:',//开启网口
        workingMode: '网口工作方式:',//网口工作方式
        networkModeSetting: '网口模式设置',//网口模式设置
        networkMode: '网口模式:',//网口模式
    },
    // 串口服务器-485towifi-无线配置
    ckwireless: {
        title: '无线设置',//无线设置
        networkName: '网络名称:',//网络名称
        workingMode: '工作方式:',//工作方式
        encryptionMode: '加密方式:',//加密方式
        encryptionAlgorithm: '加密算法:',//加密算法
        password: '密码:',//密码
        mode: '模式',//模式
        Wireless: '无线区无线网',//无线区无线网
        WirelessName: '无线网名称',//无线网名称
    },
    //工业网闸配置-网络管理
    networkmanagement: {
        management: '网络管理',//网络管理
        prompt: '本页面涉及排错，请检查修改默认值',//本页面涉及排错，请检查修改默认值
        internalNetworkCard: '内网网卡',//内网网卡
        externalNetworkCard:'外网网卡', //外网网卡
        networkCardName: '网卡名称',//网卡名称
        IPV4Address: 'IPV4地址',//IPV4地址
        IPV4Mask: 'IPV4掩码',//IPV4掩码
        options1: [
            {
                label: "有线区网闸（内网）",
                value: "有线区网闸（内网）",
            },
            {
                label: "无线区网闸（内网）",
                value: "无线区网闸（内网）",
            },
        ],
        options2: [
            {
                label: "有线区网闸（外网）",
                value: "有线区网闸（外网）",
            },
            {
                label: "无线区网闸（外网）",
                value: "无线区网闸（外网）",
            },
        ],
    },
    //工业网闸配置-对象管理
    objmanagement: {
        title: '对象管理',//对象管理
        createObject: '新增对象',//新增对象
        num: '序号',//序号
        objectName: '对象名称',//对象名称
        IPAddress: 'IP地址信息',//IP地址信息
        Operation: '操作',//操作
        ipType: 'IP类型:',//IP类型:
        conditionalLimitations: '只能添加两条数据',
        option: [
            {
                label: '有线区交换机',
                value: '有线区交换机',
            },
            {
                label: '无线区路由器',
                value: '无线区路由器',
            },
            {
                label: '数采服务器',
                value: '数采服务器',
            },
        ],
        rules: {
            ippz_ip: '请输入IP地址',//请输入IP地址
            ippz_ip1: '请输入有效IP地址',//请输入有效IP地址
            ip_type: '请选择一个ip类型', //请选择一个ip类型
            ip_objName: '请选择一个对象名称' //请选择一个对象名称
        }
    },
    // 工业网闸配置-策略管理
    strategyManagement: {
        title: '策略管理',//策略管理
        createStrategy: '新增策略',//新增策略
        num: '序号',//序号
        name: '名称',//名称
        Protocol: '协议',//协议
        workingMode: '工作模式',//工作模式
        sourceObject: '源对象',//源对象
        sourcePort: '源端口',//源端口
        entranceNetworkCard: '入网网卡',//入网网卡
        entranceIP: '入口IP',//入口IP
        entranceGateway: '入口网关',//入口网关
        exportNetworkCard: '出口网卡',//出口网卡
        exportIP: '出口IP',//出口IP
        exportGateway: '出口网关',//出口网关
        targetObject: '目的对象',//目的对象
        targetPort: '目的端口',//目的端口
        Operation: '操作',//操作

    },
    //工业网闸配置-策略管理-添加策略
    addstrategy: {
        title: '添加策略:',//添加策略
        name: '名称:',//名称
        protocol: '协议:',//协议
        workingMode: '工作模式:',//工作模式
        undefinedCommand: '未定义命令:',//未定义命令
        sourceObject: '源对象',//源对象
        sourcePort: '源端口',//源端口
        targetObject: '目的对象',//目的对象
        targetPort: '目的端口:',//目的端口
        entranceGateway: '入口网关',//入口网关
        entranceNetworkCard: '入口网卡',//入口网卡
        entranceIP: '入口IP',//入口IP
        exportGateway: '出口网关',//出口网关
        exportNetworkCard: '出口网卡',//出口网卡
        exportIP: '出口IP',//出口IP
        recordLogs: '记录日志',//记录日志
        commandList: '命令列表',//命令列表
        createCommand: '新增命令',//新增命令
        num: '序号',//序号
        command: '命令(功能码)',//命令(功能码)
        startingAddress: '起始地址',//起始地址
        addressLength: '地址长度',//地址长度
        description: '描述',//描述
        action: '动作',//动作
        Operation: '操作',//操作
        deviceID: '设备ID',//设备ID
        options1: [
            {
                label: "有线区策略",
                value: "有线区策略",
            },
            {
                label: "无线区策略",
                value: "无线区策略",
            },
        ],
        options3: [
            {
                label: "代理模式",
                value: "代理模式",
            },
            {
                label: "路由模式",
                value: "路由模式",
            },
            {
                label: "透明模式",
                value: "透明模式",
            },
        ],
        options4: [
            {
                label: "有线区交换机",
                value: "有线区交换机",
            },
            {
                label: "无线区路由器",
                value: "无线区路由器",
            },
        ],
        options5: [
            {
                label: "拒绝",
                value: "拒绝",
            },
            {
                label: "允许",
                value: "允许",
            },
        ],
        options6: [
            {
                label: "读线圈状态",
                value: "读线圈状态",
            },
            {
                label: "读输入状态",
                value: "读输入状态",
            },
            {
                label: "读线保持寄存器",
                value: "读线保持寄存器",
            },
            {
                label: "读输入寄存器",
                value: "读输入寄存器",
            },
            {
                label: "强制单个线圈",
                value: "强制单个线圈",
            },
            {
                label: "预置单个寄存器",
                value: "预置单个寄存器",
            },
            {
                label: "强制多个寄存器",
                value: "强制多个寄存器",
            },
        ],
        options7: [
            {
                label: "有线区交换机命令",
                value: "有线区交换机命令",
            },
            {
                label: "无线区路由器命令",
                value: "无线区路由器命令",
            },
        ],
        options8: [
            {
                label: "有线区网闸（内网）",
                value: "有线区网闸（内网）",
            },
            {
                label: "无线区网闸（内网）",
                value: "无线区网闸（内网）",
            },
        ],
        options9: [
            {
                label: "有线区网闸（外网）",
                value: "有线区网闸（外网）",
            },
            {
                label: "无线区网闸（内网）",
                value: "无线区网闸（内网）",
            },
        ],
        clgl_wdyml: '拒绝',
        rules1: {
            clgl_name: '选择一个名称',
            clgl_xy: '至少选择一个选择协议',
            clgl_gzms: '选择一个工作模式',
            clgl_mddk: '目的端口是必填参数',
            clgl_rkwk: '选择一个入口网卡',
            clgl_ckwk: '选择一个出口网卡',
            clgl_ydx: '选择一个源对象',
            clgl_ydk: '源端口不能为空',
            clgl_mddx: '源端口不能为空',
            clgl_wdyml: '选择一个命令',
            nullIp: '请输入IP地址',
            valid: '请输入有效的IP地址'
        },
        ruleForm2: {
            cmdlist_ml: "读线圈状态",
            cmdlist_sbid: "",
            cmdlist_qsdz: "",
            cmdlist_dzcd: "",
            cmdlist_ms: "",
            cmdlist_dz: "",
        },
        rules2: '必填项'
    },
    //网络优化-网关配置
    ntconfig: {
        title: '网关配置',//网关配置
        createGateway: '新建网关',//新建网关
        num: '序号',//序号
        gatewayId: '网关ID',//网关ID
        gatewayNumber: '网关编号',//网关编号
        gatewayName: '网关名称',//网关名称
        gatewayType: '网关类型',//网关类型
        details: '详细',//详细
        parameterConfiguration: '参数配置',//参数配置
        check: '查看',//查看
        options:[
            {
                label:'有线区网关1',
                value:'有线区网关1'
            },
            {
                label:'有线区网关2',
                value:'有线区网关2'
            },
            {
                label:'无线区网关1',
                value:'无线区网关1'
            },
            {
                label:'无线区网关2',
                value:'无线区网关2'
            },
        ],
        rules:'请选择一个选项'
    },
    //     网络优化-网关维护
    ntmaintenance: {
        createParameter: '新增参数',//新增参数
        num: '序号',//'序号'
        gatewaySNNumber: '网关编号',//网关编号
        parameterKey: '参数Key',//参数Key
        parameterName: '参数名称',//参数名称
        decimalPlaces: '小数位数',//小数位数
        setValue: '设定值',//设定值
        deviationValue: '偏差值',//偏差值
        affiliatedGateway: '所属网关',//所属网关
        title:'网管维护', //弹窗名称
        rules:{
            sswg:'请选择一个选项',
            csname:'请选择一个选项',
            sdz:'设定值是必填参数',
            cskey:'请选择一个选项',
            xsws:'小数位数是必填参数',
            pcz:'偏差值是必填参数'
        },
        options:[
            {
                label:'产量',
                value:'产量'
            },
            {
                label:'主轴转速',
                value:'主轴转速'
            },
            {
                label:'急停状态',
                value:'急停状态'
            },
            {
                label:'切削速度',
                value:'切削速度'
            },
        ]
    },
    //驾驶舱
    cockpit:{
        title:'工业互联网驾驶舱',
        realTimeParams:{
            cl:'产量',
            zzzs:'主轴转速',
            jtzt:'急停状态',
            qxsd:'切削速度',
            fzdl:'负载电流',
            eddl:'额定电流',
        },
        chartTitle:{
            clsjjk:'产量数据监控',
            fzdljk:'负载电流监控',
            zzzsjk:'主轴转速监控',
            jtztjk:'急停状态监控',
            qxsdjk:'切削速度监控',
            eddljk:'额定电流监控'
        }
    },
    examination:{
        examTab:[
            {
              name: "全部",
              state: "",
            },
            {
              name: "未开始",
              state: "0",
            },
            {
              name: "进行中",
              state: "1",
            },
            {
              name: "已结束",
              state: "2",
            },
          ]
    }
}